powered by Jive Software

Jitsi VideoBridge Plugin problem redirects to webrtcrequired.html

Problem:

Jitsi VideoBridge Plugin problem

–My Senerio

  • Openfire_3_9_3 installed in centos 6.5
  • Spark_2_6_3 installed in other two Windows 7 professional
  • Firewall is disabled bothe is server and cilent
  • SELinux is disabled in server

I installed the “jitsi video bridge” plugin from th plugin section of openfire server

and followed the steps as stated in the url below

https://community.igniterealtime.org/docs/DOC-2693

Problem i am facing

  1. I cannot find the file as stated in the tutorial

/opt/openfire/plugins/jitsivideobridge/apps/ofmeet/js/config.js

  1. After complete installation ignoring the editing of config.js, when i tried to run

https://your_server:7443/jitsi/apps/ofmeet in my chrome it redirects to

**https://your_server:7443/jitsi/apps/ofmeet****/webrtcrequired.html ** showing “The service works only with chrome. Download Chrome”

Please HELP…

  1. You don’t have to. It’s in Openfire Mgmt Console, in Jitsi Videobridge 1.3.0+

  2. Only supported by Chrome currently.

Thanks for replying

  1. After complete installation when i tried to run

https://your_server:7443/jitsi/apps/ofmeet in my chrome it redirects to

**https://your_server:7443/jitsi/apps/ofmeet****/webrtcrequired.html ** showing “The service works only with chrome. Download Chrome”

I am using Chrome still it showing “The service works only with chrome. Download Chrome”

Hello I Have the very same problem !

I sort of overcame that problem bu uninstalling Chrome, then installing version 26.

Opened Version 26 and it gave me a profile error (something to do with chome profile being from a newer version)

Then tried it in that and it worked.

So, I uninstalled the Chrome v26 and reinstalled v35 which now works vor Video only.

The problem I find now, is that Screenshare doesn’t work.

I had the same problem with ofmeet - webrtcrequiered.html site came up as soon as i started ofmeet. One “solution” about this is - it only works with connected webcam! (I tried to connect without cam).

Btw I am using the latest Chrome…

One thing which is not working for me (on ofmeet and jitsimeet) is screensharing…

1 Like

Same problem for me, without webcam redirect to webrtcrequiered.html, obviously with Chrome.

With webcam works, except for screensharing…redirect to webrtcrequiered.html too.

Tested with Chrome 35 and 3.9.3, Centos 6.2

1 Like

Fixed here

https://github.com/igniterealtime/Openfire/commit/1b6d3b74d7ebb4c38b0ddb9fba47e9 63741e97a6

It only affects Chrome on Windows. It does not happen on my MacAir.

Change the resolution from 720 (HD) to 360 on the openfire web admin console. This actually stops the media error. The above fix is also good, but does not stop the media error

Hey guys,

I was facing the same problem. Every time I tried to open the url

https://my_server:7443/jitsi/apps/ofmeet in my chrome

it redirected me to the following url:

**https://your_server:7443/jitsi/apps/ofmeet****/webrtcrequired.html ** showing “The service works only with chrome. Download Chrome”.

I was using ubuntu 12.04. But at last I tried to open it up from “Chromium” browser of ubuntu. Then it worked. So give it a try with “chromium” [ I used this version: Version 34.0.1847.116 Ubuntu 12.04 (260972)].

Thanks.

I cannot remember the link, if i find it i will post it.

you will want to replace in the following files in directories listed Make a backup of the file you are replacing

C:\Program Files (x86)\Openfire\plugins\jitsivideobridge\apps\jitmeet\libs\strophe\strophe.jingl e.adapter.js

https://community.igniterealtime.org/docs/DOC-2746

C:\Program Files (x86)\Openfire\plugins\jitsivideobridge\apps\ofmeet\js\main.js

https://community.igniterealtime.org/docs/DOC-2747

see if you can view and download those docs.

Thanks yaar,

Its Solved as i changed the resolution…

Hi!

I’m facing the same problem.

1. OpenFire 3.9.3 on Windows Server 2012 (firewall disabled)

2. Spark 2.6.3 on Windows 7 x64 Professional (firewall disabled)

Notebook with **integrated **camera is working fine, i can connect to ofmeet through Chrome v36.

The same notebook, but with plugged **external **web cam - not working! redirects to “webrtcrequired.html” (camera is working fine, tested in Skype).

Tried both solutions from this topic - didn’t help.

BUT

I tested in http://videoconf.free-solutions.org/ and it worked like a charm…

Does it mean that issues in my server?

Did you try reducing resolution down to 360 from 720 (HD) or have you set a an agressive bandwidth limit?

Dele, thank you for your reply!

  1. I have tried reducing resolution;

  2. I have tried changing code by inserting new files:

strophe.jingl e.adapter.js

main.js

Unfortunately, nothing did help.

Estou com o esmo problema

I have same problem

I have the same issue Ubuntu 12.04 64Bit openfire 3.9.3 and Jitsi 1.3.1 using chrome or chromium, already done everything posted here but i am stuck with this. any help.